version: '3.7'

services:
  register:
    ports:
      - 8084:8080
    volumes:
      - ../register:/usr/src/app
    environment:
      - CAPIF_PRIV_KEY=${CAPIF_PRIV_KEY}
      - VAULT_HOSTNAME=vault
      - VAULT_ACCESS_TOKEN=dev-only-token
      - VAULT_PORT=8200
    extra_hosts:
      - host.docker.internal:host-gateway
      - vault:host-gateway
    restart: unless-stopped
    image: public.ecr.aws/o2v4a8t6/opencapif/register:v3.1.4
    depends_on:
       - mongo_register

  mongo_register:
    image: mongo:6.0.2
    restart: unless-stopped
    ports:
      - 28017:27017
    environment:
      MONGO_INITDB_ROOT_USERNAME: root
      MONGO_INITDB_ROOT_PASSWORD: example

networks:
  default:
    name: capif-network
    external: true



